---
title: Value Stream Management
description: GitLab’s Value Stream Management solution provides a systematic method to increase software delivery time, optimize for business outcomes and improve quality.
suppress_header: true
---
.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 Value Stream Management
    %p Measure and manage the business value of your DevSecOps lifecycle.
    %a.btn.cta-btn.accent{ href: "https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html" } Value Stream Analytics
.gitlab-content-container.reverse-content
  .content.row-layout
    .full-width
      %p Software development should always optimize for maximum customer or business value—but how do you define value and measure progress toward it? GitLab’s Value Stream Management helps businesses visualize their end-to-end workstream, identify and target waste and inefficiencies, and tune those workstreams to deliver the highest possible velocity of value.
      %h2 A Strong Performer
      %p GitLab is a "Strong Performer" in The Forrester New Wave: Value Stream Management Tools, Q3 2018.  According to the report, “GitLab combines end-to-end capability with the power of open source. GitLab offers a DevOps tool for each step of the software development process. Top-level views sitting across these tools provide its VSM functionalities.”
      %p As the first single application for the entire DevOps lifecycle, GitLab helps you deliver higher-quality software faster, while decreasing complexity and risk. With one toolset to learn, one data model to manage, and one source of truth throughout the lifecycle, GitLab provides unmatched visibility, efficiency, and governance.
      %p <a href="https://docs.gitlab.com/ee/user/analytics/value_stream_analytics.html">Value Stream Analytics</a> is the foundation for executive level insights and our Value Stream Management direction. To see where we are headed, please read our <a href="https://about.gitlab.com/direction/manage/value_stream_management">Category Direction</a>.
      = link_to "Download Report", "/analysts/forrester-vsm", class: "btn cta-btn accent margin-top20"
    .full-width
      = image_tag "/images/vsm/Forrester_VSM_Tool_New_Wave-v1.png", class: "screenshot margin-bottom10", alt: "Forrester Value Stream Management New Wave"
      %i.font-small Value Stream Management
  .content
    %h2 Value Stream Analytics Executive Insights
    %iframe.full-width{ src: "https://www.youtube.com/embed/0MR7Q8Wiq6g", frameborder: "0", allow: "autoplay, encrypted-media", allowfullscreen: "" }
  .content
    %h2 Value Stream Analytics Developer Insights
    %iframe.full-width{ src: "https://www.youtube.com/embed/JPYWrRByAYk", frameborder: "0", allow: "autoplay, encrypted-media", allowfullscreen: "" }
  .content
    %h2 Issue Boards for Mapping
    %iframe.full-width{ src: "https://www.youtube.com/embed/9ASHiQ2juYY", frameborder: "0", allow: "autoplay, encrypted-media", allowfullscreen: "" }
  .content
    %h2 Business Value Monitoring
    %iframe.full-width{ src: "https://www.youtube.com/embed/oG0VESUOFAI", frameborder: "0", allow: "autoplay, encrypted-media", allowfullscreen: "" }
  .content.row-layout
    .full-width
      %h2 End to end process
      %p The value streams help you visualize and manage the flow of new innovation from idea to customers.
      %ul
        %li
          %strong
            One toolchain:
          In software, the toolchain is your value stream.  GitLab brings the toolchain together into a single application.
        %li
          %strong
            Shared data:
          GitLab consolidates the disconnected islands of data into a complete view of actual work.
        %li
          %strong
            Focus on value - not ceremony:
          Track and manage the actual flow of work / value and eliminate unnecessary ceremony.
    .full-width
      = image_tag "/images/vsm/waste.png", class: "screenshot margin-bottom10", alt: "Value Streem Management End to End Process"
      %a{ href: "https://gitlab.com/gitlab-org/gitlab-ee/issues/6323", target: "_blank" }
        %i.font-small *Future feature, not actual screenshot
  .content.row-layout
    .full-width
      %h2 Measure
      %p Drive continuous improvement based on the data from your value stream.
      %ul
        %li
          %strong
            Track flow and accelerate:
          Focusing on the flow of value to customers is key to streamlining the delivery process.
        %li
          %strong
            Cycle time:
          Track the actual work and effort, the real cycle time to deliver value.
        %li
          %strong
            Business value:
          Link actual value back to the change.
    .full-width
      = image_tag "/images/vsm/line.png", class: "screenshot margin-bottom10", alt: "Value Streem Management End to End Process"
      %a{ href: "https://gitlab.com/gitlab-org/gitlab-ee/issues/6323", target: "_blank" }
        %i.font-small *Future feature, not actual screenshot
  .content.row-layout
    .full-width
      %h2 Manage
      %p The value streams help you visualize and manage the flow of new innovation from idea to customers.
      %ul
        %li
          %strong
            Identify constraints:
          Find the sources of friction in your value stream and optimise lead time.
        %li
          %strong
            Remove bottlenecks:
          Take action to address constraints.
        %li
          %strong
            Optimize flow:
          Accelerate DevOps best practices across your organization.
    .full-width
      = image_tag "/images/vsm/bars.png", class: "screenshot margin-bottom10", alt: "Value Streem Management End to End Process"
      %a{ href: "https://gitlab.com/gitlab-org/gitlab-ee/issues/6323", target: "_blank" }
        %i.font-small *Future feature, not actual screenshot
